Subject: Re: linux-next: build failure after merge of the rcu tree

From: "Paul E. McKenney" <[email-masked]>
Date: Mon, 13 Apr 2015 05:40:58 -0700

On Mon, Apr 13, 2015 at 01:34:05PM +0200, Ingo Molnar wrote:
> 
> * Borislav Petkov <[email-masked]> wrote:
> 
> > On Mon, Apr 13, 2015 at 08:39:17PM +1000, Stephen Rothwell wrote:
> > > Hi Paul,
> > > 
> > > After merging the rcu tree, today's linux-next build (powerpc allnoconfig)
> > > failed like this:
> > > 
> > > init/main.c: In function 'rest_init':
> > > init/main.c:387:2: error: implicit declaration of function 'smpboot_thread_init' [-Werror=implicit-function-declaration]
> > >   smpboot_thread_init();
> > >   ^
> > > 
> > > Caused by commit c55f6e1f6f69 ("cpu: Defer smpboot kthread unparking
> > > until CPU known to scheduler").  The declaration in include/linux/cpu.h
> > > is protected by CONFIG_SMP, its use is not.
> > > 
> > > I have reverted that commit for today.
> > 
> > Thanks for the report Stephen, I know today is the day of b0rked
> > linux-next builds :-(
> > 
> > I think Ingo merged Paul's patch already so here's a fix ontop:
> 
> Yeah, I too triggered that build failure and fixed it locally.

What I get for immediately going to long-term testing.  The scenarios
that trigger this one were of course the last to run.  :-/

Thank you all, and apologies for the hassle!

							Thanx, Paul